using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Remontor.Connector
{
    internal class OffMon : IModeMon
    {
        [DllImport("user32.dll")]
        static extern bool MoveWindow(IntPtr Handle, int x, int y, int w, int h, bool repaint);
        private bool Chanded = true;
        public OffMon() {
           // SConnector.FormMain.Bounds = SConnector.MainBounds;
            Chanded = false;
        }

        public override void Set()
        {
           
        }
        public override void Resize(Process Proc, Control View)
        {
            if (Chanded) return;
          //  SConnector.MainBounds = SConnector.FormMain.Bounds;
        }
        public override IModeMon Change(IModeMon Mode)
        {
            return this;
        }

    }
}
